## com.arsdigita.cms.docmgr.ui.authoring
Class DocLinkStep

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.SimpleContainer
                          com.arsdigita.bebop.PropertyEditor
                              com.arsdigita.cms.ui.SecurityPropertyEditor
                                  com.arsdigita.cms.ui.authoring.SimpleEditStep
                                      com.arsdigita.cms.docmgr.ui.authoring.DocLinkStep

All Implemented Interfaces:
  com.arsdigita.cms.ui.authoring.AuthoringStepComponent, Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, EventListener, com.arsdigita.util.Lockable, com.arsdigita.bebop.event.RequestListener

public class DocLinkStep
extends com.arsdigita.cms.ui.authoring.SimpleEditStep

Author:
  Shashin Shinde $Id: //apps/docmgr-cms/dev/src/com/arsdigita/cms/docmgr/ui/authoring/DocLinkStep.java#1 $

Nested Class Summary

Nested classes inherited from class com.arsdigita.cms.ui.SecurityPropertyEditor
`com.arsdigita.cms.ui.SecurityPropertyEditor.AccessListModel, com.arsdigita.cms.ui.SecurityPropertyEditor.AccessListModelBuilder`

Nested classes inherited from class com.arsdigita.bebop.PropertyEditor
`com.arsdigita.bebop.PropertyEditor.DefaultModel, com.arsdigita.bebop.PropertyEditor.DefaultModelBuilder, com.arsdigita.bebop.PropertyEditor.IdentityCellRenderer`

Field Summary

Fields inherited from class com.arsdigita.cms.ui.authoring.SimpleEditStep
`versionId`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`DocLinkStep(com.arsdigita.cms.ItemSelectionModel itemModel, com.arsdigita.cms.ui.authoring.AuthoringKitWizard parent)`

Method Summary
`static com.arsdigita.bebop.Component` `getDocumentPropertySheet(com.arsdigita.cms.ItemSelectionModel itemModel)` Returns a component that displays the properties of the Document specified by the ItemSelectionModel passed in.

Methods inherited from class com.arsdigita.cms.ui.authoring.SimpleEditStep
`cancelStreamlinedCreation, getItemSelectionModel, getParentWizard, maybeForwardToNextStep, pageRequested, register, setDefaultEditKey`

Methods inherited from class com.arsdigita.cms.ui.SecurityPropertyEditor
`add, add, addComponent, addComponent, addListeners, addSecurityListener, getAccessMap, setComponentAccess`

Methods inherited from class com.arsdigita.bebop.PropertyEditor
`add, add, add, add, addCancelListener, addComponent, addComponent, addProcessListener, addVisibilityListener, getComponent, getDisplayComponent, getDisplayPane, getLabelsMap, getList, getModel, getModelBuilder, getSelectedComponentKey, lock, setDisplayComponent, setModelBuilder, showComponent, showDisplayPane`

Methods inherited from class com.arsdigita.bebop.SimpleContainer
`add, add, children, contains, generateChildrenXML, generateParent, generateXML, get, getNamespace, getTag, indexOf, isEmpty, setNamespace, setTag, size`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, respond, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.cms.ui.authoring.AuthoringStepComponent
`addCompletionListener`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, respond, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Constructor Detail

### DocLinkStep

    public DocLinkStep(com.arsdigita.cms.ItemSelectionModel itemModel,
                       com.arsdigita.cms.ui.authoring.AuthoringKitWizard parent)

Method Detail

### getDocumentPropertySheet

    public static com.arsdigita.bebop.Component getDocumentPropertySheet(com.arsdigita.cms.ItemSelectionModel itemModel)

  Returns a component that displays the properties of the Document specified by the ItemSelectionModel passed in.

  Parameters:
    `itemModel` - The ItemSelectionModel to use
  Returns:
    A component to display the state of the basic properties of the release

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC